STPCPY(3)

NAME
stpcpy - copy a string returning a pointer to its end

SYNOPSIS
#define _GNU_SOURCE
#include <string.h>

char *stpcpy(char *dest, const char *src);

DESCRIPTION
The stpcpy() function copies the string pointed to by src (including the terminating '\0' character) to the array pointed to by dest. The strings may not overlap, and the destination string dest must be large enough to receive the copy.

RETURN VALUE
stpcpy() returns a pointer to the end of the string dest (that is, the address of the terminating null byte) rather than the beginning.

CONFORMING TO
This function is not part of the C or POSIX.1 standards, and is not customary on Unix systems, but is not a GNU invention either. Perhaps it comes from MS-DOS.

EXAMPLE
For example, this program uses stpcpy() to concatenate foo and bar to produce foobar, which it then prints.
#include <string.h>
int
main (void)
{
    char *to = buffer;
    to = stpcpy(to, "foo");
    to = stpcpy(to, "bar");
    printf("%s\n", buffer);
}

SEE ALSO
bcopy(3), memccpy(3), memcpy(3), memmove(3), strcpy(3), wcpcpy(3), feature_test_macros(7)